curl --request GET \
--url https://api.stackone.com/connect_sessions/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.stackone.com/connect_sessions/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.stackone.com/connect_sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"organization_id": "<string>",
"project_id": "<string>",
"origin_owner_id": "<string>",
"origin_owner_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"categories": [
"ats",
"hris",
"hrisLegacy",
"crm",
"iam",
"marketing",
"lms",
"stackOne",
"documents",
"ticketing",
"screening",
"messaging",
"accounting",
"scheduling"
],
"provider": "<string>",
"origin_username": "<string>",
"account_id": "<string>",
"label": "<string>",
"metadata": {},
"external_trigger_token": "f0bc3d88-2178-5423-8c81-b81d6c9da824",
"type": [
"PRODUCTION",
"TEST"
],
"integration_id": "<string>",
"connector_profile_id": "<string>",
"latest_connection_attempt": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "pending",
"account_secure_id": "<string>",
"oauth_error_code": "<string>",
"oauth_error_description": "<string>"
}
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Get Connect Session
Returns a connect session and the state of its most recent connection attempt.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
The connect session, including the most recent connection attempt (use latest_connection_attempt.status to poll for OAuth completion).
ats, hris, hris-legacy, crm, iam, marketing, lms, stackone, documents, ticketing, screening, messaging, accounting, scheduling, null [
"ats",
"hris",
"hrisLegacy",
"crm",
"iam",
"marketing",
"lms",
"stackOne",
"documents",
"ticketing",
"screening",
"messaging",
"accounting",
"scheduling"
]
Arbitrary set of key and values defined during the session token creation. This can be used to tag an account (eg. based on their pricing plan)
External trigger token to be used to trigger actions on the account
"f0bc3d88-2178-5423-8c81-b81d6c9da824"
The connect session account type
production, test, unmapped_value, null ["PRODUCTION", "TEST"]
Deprecated: use connector_profile_id instead. The integration ID (UUID) associated with this connect session.
The connector profile ID associated with this connect session
The most recent connection attempt initiated against this session, if any. Use this to poll for OAuth completion: when status is "authenticated", the resulting account is at account_secure_id.
Show child attributes
Show child attributes
Was this page helpful?